AutoGate installation and launching is designed to seamlessly work on your computer. In most cases, it has been proven to work that way.However, there have been isolated instances where installing/launching AutoGate have been an average experience.As we have limited control over 3rd party softwares that are installed as part of the pre-requisites and the complexity around user environment in some cases, it is hard to handle all scenarios. Hence, the below article to help you be aware of the most common messages and the ways to address it.  We believe the proposed responses here will most likely enable you to progress further and successfully launch AutoGate.

If at any time during the launch process you experience any new messages or alerts that is not captured here, please reach out to our support and we will be glad to assist you. Sharing this information with us, will also help other users who may encounter similar experience.

 

1. After you upgrade MAC OS, you will get an alert To open AutoGate.app you need to install the legacy Java SE 6 runtime

Click More info. This will take you to the relevant Java SE6 page. Click Download. When it completes, double-click JavaForOSX.pkg. The installation window will display. Follow the directions and you will have what you need to run AutoGate.

LaunchingAutoGate

 

2. On trying to launch AutoGate on Mac, there is a message that its from an Unidentified developer.

Unidentified developer

This is a common message, if Mac can't check whether AutoGate has been modifieid since it was released. This doesn't mean that's something wrong with AutoGate. Click Open and you will be fine

If the above message does not have an 'Open' option, then follow the below steps.

i). In the Finder window, locate AutoGate.app

ii). Press the Control key, then click the app icon, then choose Open from the shortcut menu.

iii). Click Open.

 

3. On trying to launch AutoGate on Mac, there is a message that AutoGate is an application downloaded from the Internet.

Again, this is a common message from Mac. Click Open to continue

fromInternet

 

4. On trying to launch AutoGate on Mac, there is a message that its damaged and can't be opened

damaged

i). Open Terminal

ii). Type sudo bash. Enter your password

iii). Type xattr -cr /Applications/AutoGate.app

damaged terminal

iv). Close Terminal

v). Open AutoGate now

Note: If you are on older version of Mac OS, then instead of the above steps, Open Security & Privacy under System Preferences and choose Anywhere option, as below.

 downloadanywhere

 

5. AutoGate crashes on trying to launch on Mac.

This is due to Java 1.6 version on your Mac. Install the Patch from Apple site here

6. Even after fixing the AutoGate.app is damaged error, AutoGate fails to launch on the new MAC OS Sierra. Error being AutoGate quit unexpectedly.

AutoGate Quit

This is due to incompativle Java 1.6 version

i) Using Finder, go to /Library/Java/JavaVirtualMachines

ii) Select the java 1.6 and delete

Java Delete

iii) Launch AutoGate. It will alert to install the legacy Java SE6 runtime. Click on More info link and follow the instructions. Once installed, launch AutoGate again

7. On trying to launch AutoGate on Mac, there is a message that the installed Matlab Runtime is not compatible with the application. 

Matlab incompatibility error

In almost 99% of the scenarios, AutoGate installer will install the pre-requisites (Java and Matlab Runtime) on users computer without any problem. But in few scenarios, it may prove difficult to install these 3rd party soffwares, due to number of factors( eg, users' computer configuration, computer capacity, conflicting softwares, antivirus, network policies,..). In those scenarios, it is recommedned that users install Matlab Runtime directly from Mathworks site - https://www.mathworks.com/products/compiler/mcr.html

Once Matlab Runtime is installed, proceed with AutoGate launch.

 

8. On trying to launch AutoGate on Mac, there is a unclear message Cannot locate a valid install area..

valid install area

This is related to Matlab version not available or installed on the user computer.

In almost 99% of the scenarios, AutoGate installer will install the pre-requisites (Java and Matlab Runtime) on users computer without any problem. But in few scenarios, it may prove difficult to install these 3rd party soffwares, due to number of factors( eg, users' computer configuration, computer capacity, conflicting softwares, antivirus, network policies,..). In those scenarios, it is recommedned that users install Matlab Runtime directly from Mathworks site - https://www.mathworks.com/products/compiler/mcr.html

Once Matlab Runtime is installed, proceed with AutoGate launch.

 

9. On trying to launch AutoGate on Mac, there is a message Test Matlab2016b or AutoGate2016b cannot be opened.

TestMatlab

AutoGate2016

This is related to Matlab Runtime not properly installed or available in the expected location.

In almost 99% of the scenarios, AutoGate installer will install the pre-requisites (Java and Matlab Runtime) on users computer without any problem. But in few scenarios, it may prove difficult to install these 3rd party soffwares, due to number of factors( eg, users' computer configuration, computer capacity, conflicting softwares, antivirus, network policies,..). In those scenarios, it is recommedned that users install Matlab Runtime directly from Mathworks site - https://www.mathworks.com/products/compiler/mcr.html

Once Matlab Runtime is installed, proceed with AutoGate launch.

 

10. Computer tells that AutoGate is "damaged" or "dangerous?

Click Cancel or Discard and carry on.

 

11. On trying to launch AutoGate, there is a prompt about Incoming connections.

Yes, it is safe to allow incoming connections from Cytogenie.org